The net5416 driver won't work with ndiswrapper on a 64 bits system

Bug #242267 reported by Vivien Taillandier on 2008-06-23
2
Affects Status Importance Assigned to Milestone
ndiswrapper (Ubuntu)
Undecided
Unassigned

Bug Description

I just bought the DWA-547 wifi card from D-LINK (PCI).
Since I have a Core 2 Duo, I used the 64 bits version of Ubuntu Hardy.
I had no problem configuring ndiswrapper with Ubuntu (ndisgtk) or compiling it from source (1.53) and having my driver "net5416" being listed present in ndiswrapper (ndiswrapper -l)

However, I never had the wlan0 device.

I tried the driver form the D-Link CD and the latest available, the result was the same.

After that, I tried to boot with a 32 bits Desktop CD and it worked pretty well using the ubuntu packages and the latest drivers.

Vivien Taillandier (vivien) wrote :

I just tried the beta of Intrepid and I think this bug should be closed.
I don't know if the ndiswrapper-module works with a 64-bits system, but the ath5k module is now supporting my hardware.

Changed in ndiswrapper:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers